RedHat: RHSA-2022-7594:01 Moderate: poppler security and bug fix up...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: poppler security and bug fix update
Advisory ID:       RHSA-2022:7594-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:7594
Issue date:        2022-11-08
CVE Names:         CVE-2022-27337 
=====================================================================

1. Summary:

An update for poppler is now available for Red Hat Enterprise Linux 8.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat CodeReady Linux Builder (v. 8) - aarch64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux AppStream (v. 8) - aarch64, ppc64le, s390x, x86_64

3. Description:

Poppler is a Portable Document Format (PDF) rendering library, used by
applications such as Evince.

Security Fix(es):

* poppler: A logic error in the Hints::Hints function can cause denial of
service (CVE-2022-27337)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

Additional Changes:

For detailed information on changes in this release, see the Red Hat
Enterprise Linux 8.7 Release Notes linked from the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2087190 - CVE-2022-27337 poppler: A logic error in the Hints::Hints function can cause denial of service
2096452 - [RHEL8] Please put poppler-qt5 in AppStream

6. Package List:

Red Hat Enterprise Linux AppStream (v. 8):

Source:
poppler-20.11.0-5.el8.src.rpm

aarch64:
poppler-20.11.0-5.el8.aarch64.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.aarch64.rpm
poppler-debuginfo-20.11.0-5.el8.aarch64.rpm
poppler-debugsource-20.11.0-5.el8.aarch64.rpm
poppler-glib-20.11.0-5.el8.aarch64.rpm
poppler-glib-debuginfo-20.11.0-5.el8.aarch64.rpm
poppler-qt5-20.11.0-5.el8.aarch64.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.aarch64.rpm
poppler-utils-20.11.0-5.el8.aarch64.rpm
poppler-utils-debuginfo-20.11.0-5.el8.aarch64.rpm

ppc64le:
poppler-20.11.0-5.el8.ppc64le.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.ppc64le.rpm
poppler-debuginfo-20.11.0-5.el8.ppc64le.rpm
poppler-debugsource-20.11.0-5.el8.ppc64le.rpm
poppler-glib-20.11.0-5.el8.ppc64le.rpm
poppler-glib-debuginfo-20.11.0-5.el8.ppc64le.rpm
poppler-qt5-20.11.0-5.el8.ppc64le.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.ppc64le.rpm
poppler-utils-20.11.0-5.el8.ppc64le.rpm
poppler-utils-debuginfo-20.11.0-5.el8.ppc64le.rpm

s390x:
poppler-20.11.0-5.el8.s390x.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.s390x.rpm
poppler-debuginfo-20.11.0-5.el8.s390x.rpm
poppler-debugsource-20.11.0-5.el8.s390x.rpm
poppler-glib-20.11.0-5.el8.s390x.rpm
poppler-glib-debuginfo-20.11.0-5.el8.s390x.rpm
poppler-qt5-20.11.0-5.el8.s390x.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.s390x.rpm
poppler-utils-20.11.0-5.el8.s390x.rpm
poppler-utils-debuginfo-20.11.0-5.el8.s390x.rpm

x86_64:
poppler-20.11.0-5.el8.i686.rpm
poppler-20.11.0-5.el8.x86_64.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.i686.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.x86_64.rpm
poppler-debuginfo-20.11.0-5.el8.i686.rpm
poppler-debuginfo-20.11.0-5.el8.x86_64.rpm
poppler-debugsource-20.11.0-5.el8.i686.rpm
poppler-debugsource-20.11.0-5.el8.x86_64.rpm
poppler-glib-20.11.0-5.el8.i686.rpm
poppler-glib-20.11.0-5.el8.x86_64.rpm
poppler-glib-debuginfo-20.11.0-5.el8.i686.rpm
poppler-glib-debuginfo-20.11.0-5.el8.x86_64.rpm
poppler-qt5-20.11.0-5.el8.i686.rpm
poppler-qt5-20.11.0-5.el8.x86_64.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.i686.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.x86_64.rpm
poppler-utils-20.11.0-5.el8.x86_64.rpm
poppler-utils-debuginfo-20.11.0-5.el8.i686.rpm
poppler-utils-debuginfo-20.11.0-5.el8.x86_64.rpm

Red Hat CodeReady Linux Builder (v. 8):

aarch64:
poppler-cpp-20.11.0-5.el8.aarch64.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.aarch64.rpm
poppler-cpp-devel-20.11.0-5.el8.aarch64.rpm
poppler-debuginfo-20.11.0-5.el8.aarch64.rpm
poppler-debugsource-20.11.0-5.el8.aarch64.rpm
poppler-devel-20.11.0-5.el8.aarch64.rpm
poppler-glib-debuginfo-20.11.0-5.el8.aarch64.rpm
poppler-glib-devel-20.11.0-5.el8.aarch64.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.aarch64.rpm
poppler-qt5-devel-20.11.0-5.el8.aarch64.rpm
poppler-utils-debuginfo-20.11.0-5.el8.aarch64.rpm

ppc64le:
poppler-cpp-20.11.0-5.el8.ppc64le.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.ppc64le.rpm
poppler-cpp-devel-20.11.0-5.el8.ppc64le.rpm
poppler-debuginfo-20.11.0-5.el8.ppc64le.rpm
poppler-debugsource-20.11.0-5.el8.ppc64le.rpm
poppler-devel-20.11.0-5.el8.ppc64le.rpm
poppler-glib-debuginfo-20.11.0-5.el8.ppc64le.rpm
poppler-glib-devel-20.11.0-5.el8.ppc64le.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.ppc64le.rpm
poppler-qt5-devel-20.11.0-5.el8.ppc64le.rpm
poppler-utils-debuginfo-20.11.0-5.el8.ppc64le.rpm

s390x:
poppler-cpp-20.11.0-5.el8.s390x.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.s390x.rpm
poppler-cpp-devel-20.11.0-5.el8.s390x.rpm
poppler-debuginfo-20.11.0-5.el8.s390x.rpm
poppler-debugsource-20.11.0-5.el8.s390x.rpm
poppler-devel-20.11.0-5.el8.s390x.rpm
poppler-glib-debuginfo-20.11.0-5.el8.s390x.rpm
poppler-glib-devel-20.11.0-5.el8.s390x.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.s390x.rpm
poppler-qt5-devel-20.11.0-5.el8.s390x.rpm
poppler-utils-debuginfo-20.11.0-5.el8.s390x.rpm

x86_64:
poppler-cpp-20.11.0-5.el8.i686.rpm
poppler-cpp-20.11.0-5.el8.x86_64.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.i686.rpm
poppler-cpp-debuginfo-20.11.0-5.el8.x86_64.rpm
poppler-cpp-devel-20.11.0-5.el8.i686.rpm
poppler-cpp-devel-20.11.0-5.el8.x86_64.rpm
poppler-debuginfo-20.11.0-5.el8.i686.rpm
poppler-debuginfo-20.11.0-5.el8.x86_64.rpm
poppler-debugsource-20.11.0-5.el8.i686.rpm
poppler-debugsource-20.11.0-5.el8.x86_64.rpm
poppler-devel-20.11.0-5.el8.i686.rpm
poppler-devel-20.11.0-5.el8.x86_64.rpm
poppler-glib-debuginfo-20.11.0-5.el8.i686.rpm
poppler-glib-debuginfo-20.11.0-5.el8.x86_64.rpm
poppler-glib-devel-20.11.0-5.el8.i686.rpm
poppler-glib-devel-20.11.0-5.el8.x86_64.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.i686.rpm
poppler-qt5-debuginfo-20.11.0-5.el8.x86_64.rpm
poppler-qt5-devel-20.11.0-5.el8.i686.rpm
poppler-qt5-devel-20.11.0-5.el8.x86_64.rpm
poppler-utils-debuginfo-20.11.0-5.el8.i686.rpm
poppler-utils-debuginfo-20.11.0-5.el8.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-27337
https://access.redhat.com/security/updates/classification/#moderate
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/8.7_release_notes/index

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY2pSa9zjgjWX9erEAQjjLw//VtN1S71ZJ58sqe2nDCs17zvOVpnOqUYY
Ss6BPM1qg4R1kRIdw+YlbFJB7RakK0KiJ1+ZHgJj3Gl1ycL+vfZUcWjtcpnJgatm
a+n0Z3mmJScjMSHCBRwdO2iZlW1bdD+Wh4CvSdPtCc97S/TQHQYWuscDGzFXUf0P
RhroGo/xba9N9Unb31+QQ9hNLzoi4Dc0m12u4Ll4X1e7+z94PrrEv01WUZw0cwEf
Rw3Yd3jK9kYXplOfHZjLySTNQEq+a52QZjAxgmc4HojdyOyCREr/atCQ8JQMGN0b
1DcNireGKOuhe4JphVFBztzNa45KSBUbWLEpGZdrU22pR4tn1yS3GG1PEAZKm8Lg
svoQ7sOKOnKGUUI11sHm6n8AiBf8mKcHPal5nL3om8JR94D0EVOvl4mqkwcUXwHv
tvx4pjXr0zPFfqagflgC2o1YTSpAMTBEDLngCS6UvyzgrVII/sV9zyGFf5Lk1PMm
MqjRlq2Fd0MTXBqEbItAm3BbRRnm5eDWAnv+F7OvsyVOaQ5Izmp+nqCtWWRdC6+D
lYcI8lZja73ARKx6f3dIns8RYQ3rYvl3BEzqMSKf+OwDavr5Beso9IUP40HYhwbm
RDoDNLiXXdV9Xol9AcQiFPXK5yoiI718Xow1xgL54pPPr+OnzhZN/62AljzVN/8R
qbVbV5be4bU=
=kPiF
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-7594:01 Moderate: poppler security and bug fix update

An update for poppler is now available for Red Hat Enterprise Linux 8

Summary

Poppler is a Portable Document Format (PDF) rendering library, used by applications such as Evince.
Security Fix(es):
* poppler: A logic error in the Hints::Hints function can cause denial of service (CVE-2022-27337)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Additional Changes:
For detailed information on changes in this release, see the Red Hat Enterprise Linux 8.7 Release Notes linked from the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2022-27337 https://access.redhat.com/security/updates/classification/#moderate https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/8.7_release_notes/index

Package List

Red Hat Enterprise Linux AppStream (v. 8):
Source: poppler-20.11.0-5.el8.src.rpm
aarch64: poppler-20.11.0-5.el8.aarch64.rpm poppler-cpp-debuginfo-20.11.0-5.el8.aarch64.rpm poppler-debuginfo-20.11.0-5.el8.aarch64.rpm poppler-debugsource-20.11.0-5.el8.aarch64.rpm poppler-glib-20.11.0-5.el8.aarch64.rpm poppler-glib-debuginfo-20.11.0-5.el8.aarch64.rpm poppler-qt5-20.11.0-5.el8.aarch64.rpm poppler-qt5-debuginfo-20.11.0-5.el8.aarch64.rpm poppler-utils-20.11.0-5.el8.aarch64.rpm poppler-utils-debuginfo-20.11.0-5.el8.aarch64.rpm
ppc64le: poppler-20.11.0-5.el8.ppc64le.rpm poppler-cpp-debuginfo-20.11.0-5.el8.ppc64le.rpm poppler-debuginfo-20.11.0-5.el8.ppc64le.rpm poppler-debugsource-20.11.0-5.el8.ppc64le.rpm poppler-glib-20.11.0-5.el8.ppc64le.rpm poppler-glib-debuginfo-20.11.0-5.el8.ppc64le.rpm poppler-qt5-20.11.0-5.el8.ppc64le.rpm poppler-qt5-debuginfo-20.11.0-5.el8.ppc64le.rpm poppler-utils-20.11.0-5.el8.ppc64le.rpm poppler-utils-debuginfo-20.11.0-5.el8.ppc64le.rpm
s390x: poppler-20.11.0-5.el8.s390x.rpm poppler-cpp-debuginfo-20.11.0-5.el8.s390x.rpm poppler-debuginfo-20.11.0-5.el8.s390x.rpm poppler-debugsource-20.11.0-5.el8.s390x.rpm poppler-glib-20.11.0-5.el8.s390x.rpm poppler-glib-debuginfo-20.11.0-5.el8.s390x.rpm poppler-qt5-20.11.0-5.el8.s390x.rpm poppler-qt5-debuginfo-20.11.0-5.el8.s390x.rpm poppler-utils-20.11.0-5.el8.s390x.rpm poppler-utils-debuginfo-20.11.0-5.el8.s390x.rpm
x86_64: poppler-20.11.0-5.el8.i686.rpm poppler-20.11.0-5.el8.x86_64.rpm poppler-cpp-debuginfo-20.11.0-5.el8.i686.rpm poppler-cpp-debuginfo-20.11.0-5.el8.x86_64.rpm poppler-debuginfo-20.11.0-5.el8.i686.rpm poppler-debuginfo-20.11.0-5.el8.x86_64.rpm poppler-debugsource-20.11.0-5.el8.i686.rpm poppler-debugsource-20.11.0-5.el8.x86_64.rpm poppler-glib-20.11.0-5.el8.i686.rpm poppler-glib-20.11.0-5.el8.x86_64.rpm poppler-glib-debuginfo-20.11.0-5.el8.i686.rpm poppler-glib-debuginfo-20.11.0-5.el8.x86_64.rpm poppler-qt5-20.11.0-5.el8.i686.rpm poppler-qt5-20.11.0-5.el8.x86_64.rpm poppler-qt5-debuginfo-20.11.0-5.el8.i686.rpm poppler-qt5-debuginfo-20.11.0-5.el8.x86_64.rpm poppler-utils-20.11.0-5.el8.x86_64.rpm poppler-utils-debuginfo-20.11.0-5.el8.i686.rpm poppler-utils-debuginfo-20.11.0-5.el8.x86_64.rpm
Red Hat CodeReady Linux Builder (v. 8):
aarch64: poppler-cpp-20.11.0-5.el8.aarch64.rpm poppler-cpp-debuginfo-20.11.0-5.el8.aarch64.rpm poppler-cpp-devel-20.11.0-5.el8.aarch64.rpm poppler-debuginfo-20.11.0-5.el8.aarch64.rpm poppler-debugsource-20.11.0-5.el8.aarch64.rpm poppler-devel-20.11.0-5.el8.aarch64.rpm poppler-glib-debuginfo-20.11.0-5.el8.aarch64.rpm poppler-glib-devel-20.11.0-5.el8.aarch64.rpm poppler-qt5-debuginfo-20.11.0-5.el8.aarch64.rpm poppler-qt5-devel-20.11.0-5.el8.aarch64.rpm poppler-utils-debuginfo-20.11.0-5.el8.aarch64.rpm
ppc64le: poppler-cpp-20.11.0-5.el8.ppc64le.rpm poppler-cpp-debuginfo-20.11.0-5.el8.ppc64le.rpm poppler-cpp-devel-20.11.0-5.el8.ppc64le.rpm poppler-debuginfo-20.11.0-5.el8.ppc64le.rpm poppler-debugsource-20.11.0-5.el8.ppc64le.rpm poppler-devel-20.11.0-5.el8.ppc64le.rpm poppler-glib-debuginfo-20.11.0-5.el8.ppc64le.rpm poppler-glib-devel-20.11.0-5.el8.ppc64le.rpm poppler-qt5-debuginfo-20.11.0-5.el8.ppc64le.rpm poppler-qt5-devel-20.11.0-5.el8.ppc64le.rpm poppler-utils-debuginfo-20.11.0-5.el8.ppc64le.rpm
s390x: poppler-cpp-20.11.0-5.el8.s390x.rpm poppler-cpp-debuginfo-20.11.0-5.el8.s390x.rpm poppler-cpp-devel-20.11.0-5.el8.s390x.rpm poppler-debuginfo-20.11.0-5.el8.s390x.rpm poppler-debugsource-20.11.0-5.el8.s390x.rpm poppler-devel-20.11.0-5.el8.s390x.rpm poppler-glib-debuginfo-20.11.0-5.el8.s390x.rpm poppler-glib-devel-20.11.0-5.el8.s390x.rpm poppler-qt5-debuginfo-20.11.0-5.el8.s390x.rpm poppler-qt5-devel-20.11.0-5.el8.s390x.rpm poppler-utils-debuginfo-20.11.0-5.el8.s390x.rpm
x86_64: poppler-cpp-20.11.0-5.el8.i686.rpm poppler-cpp-20.11.0-5.el8.x86_64.rpm poppler-cpp-debuginfo-20.11.0-5.el8.i686.rpm poppler-cpp-debuginfo-20.11.0-5.el8.x86_64.rpm poppler-cpp-devel-20.11.0-5.el8.i686.rpm poppler-cpp-devel-20.11.0-5.el8.x86_64.rpm poppler-debuginfo-20.11.0-5.el8.i686.rpm poppler-debuginfo-20.11.0-5.el8.x86_64.rpm poppler-debugsource-20.11.0-5.el8.i686.rpm poppler-debugsource-20.11.0-5.el8.x86_64.rpm poppler-devel-20.11.0-5.el8.i686.rpm poppler-devel-20.11.0-5.el8.x86_64.rpm poppler-glib-debuginfo-20.11.0-5.el8.i686.rpm poppler-glib-debuginfo-20.11.0-5.el8.x86_64.rpm poppler-glib-devel-20.11.0-5.el8.i686.rpm poppler-glib-devel-20.11.0-5.el8.x86_64.rpm poppler-qt5-debuginfo-20.11.0-5.el8.i686.rpm poppler-qt5-debuginfo-20.11.0-5.el8.x86_64.rpm poppler-qt5-devel-20.11.0-5.el8.i686.rpm poppler-qt5-devel-20.11.0-5.el8.x86_64.rpm poppler-utils-debuginfo-20.11.0-5.el8.i686.rpm poppler-utils-debuginfo-20.11.0-5.el8.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2022:7594-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2022:7594
Issued Date: : 2022-11-08
CVE Names: CVE-2022-27337

Topic

An update for poppler is now available for Red Hat Enterprise Linux 8.Red Hat Product Security has rated this update as having a security impactof Moderate. A Common Vulnerability Scoring System (CVSS) base score, whichgives a detailed severity rating, is available for each vulnerability fromthe CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat CodeReady Linux Builder (v. 8) - aarch64, ppc64le, s390x, x86_64

Red Hat Enterprise Linux AppStream (v. 8) - aarch64, ppc64le, s390x, x86_64

Bugs Fixed

2087190 - CVE-2022-27337 poppler: A logic error in the Hints::Hints function can cause denial of service

2096452 - [RHEL8] Please put poppler-qt5 in AppStream

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.